(* *********************************************************************)
(*                                                                     *)
(*              The Verasco static analyzer                            *)
(*                                                                     *)
(*          Vincent Laporte, Université de Rennes 1                    *)
(*          Jacques-Henri Jourdan, INRIA Paris-Rocquencourt            *)
(*                                                                     *)
(*  Copyright Institut National de Recherche en Informatique et en     *)
(*  Automatique and Université de Rennes 1.  All rights reserved.      *)
(*  This file is distributed under the terms of the GNU General        *)
(*  Public License as published by the Free Software Foundatio,        *)
(*  either version 2 of the License, or (at your option) any later     *)
(*  version.  This file is also distributed under the terms of the     *)
(*  INRIA Non-Commercial License Agreement.                            *)
(*                                                                     *)
(* *********************************************************************)

(* Command-line flags *)

let option_max_concretize = ref 32

let get_option_max_concretize () =
  BinNums.Npos (Camlcoq.P.of_int (!option_max_concretize))

let option_trace = ref false
let option_unroll = ref 0
let option_verbose = ref false
let option_num_dom = ref CsharpminorAnalysis.ZIntervals
let option_funload = ref false

let get_option_unroll () =
  Camlcoq.Nat.of_int !option_unroll
